require 'lita'

Lita.load_locales Dir[File.expand_path(
  File.join('..', '..', 'locales', '*.yml'), __FILE__
)]

require 'telegram/bot'
require 'api-ai-ruby'
require 'lita-telegram'
require 'lita-wizard'
require 'lita-api-ai'
require 'xtend/wizard_extension'
require 'xtend/lita_wizard'
require 'xtend/telegram_adapter'
require 'xtend/api_ai_handler'
require 'lita/extensions/dpextend'
require_relative './lita/response'

Lita::Extensions::Wizard.include Xtend::WizardExtension
Lita::Adapters::Telegram.prepend Xtend::TelegramAdapter
Lita::Handlers::ApiAi.prepend Xtend::ApiAiHandler
Lita::Wizard.prepend Xtend::LitaWizard